## alsa-base 1.0.25+3~deb7u1

=== debian/changelog ===
alsa-base (1.0.25+3~deb7u1) stable; urgency=low

  * Upload to proposed-updates.

 -- Jordi Mallach <jordi@debian.org>  Wed, 08 May 2013 16:44:59 +0200

alsa-base (1.0.25+3) unstable; urgency=low

  * Add Pre-Depends dpkg (>= 1.15.7.2~), for dpkg-maintscript-helper.
  * In 1.0.25+2, we started using dh_installinit to install the
    default file as /etc/default/alsa-base, and make it a proper conffile.
    However, the alsa script still expected to read defaults from
    /etc/default/alsa. Update it to use the new path (closes: #680914).
    Additionally, make sure that if we're upgrading from versions prior to
    this change, and a /etc/default/alsa file already exists and its
    md5sum isn't known, it'll get renamed to alsa-base in order to
    preserve user changes.
    For testing users, the old file will be removed if it was pristine,
    and otherwise it'll stay unused in the filesystem.
  * Try to remove /etc/default/alsa on purge.

 -- Jordi Mallach <jordi@debian.org>  Sat, 20 Apr 2013 12:44:21 +0200

alsa-base (1.0.25+2+nmu2) unstable; urgency=high

  * Non-maintainer upload.
  * alsa-base.modprobe: Fix snd module autoloading by adding a trailing
    ':', as is done for snd-rawmidi and snd-emu10k1. Since d-i's switch
    to kmod, speech synthesis would otherwise be broken for a number of
    devices (Closes: #685885). Thanks to Samuel Thibault for reporting,
    and Julien Cristau for the suggested patch.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 26 Aug 2012 17:57:21 +0200

alsa-base (1.0.25+2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch by Helmar Gerloni <helmar@gerloni.net> to
    test for existence of directories before trying to
    remove /etc/apm/suspend.d. (Closes: #673679)

 -- Neil Williams <codehelp@debian.org>  Sun, 08 Jul 2012 15:51:24 -0600

alsa-base (1.0.25+2) unstable; urgency=low

  * Use dpkg-maintscript-helper to correctly remove /etc/apm/scripts.d/alsa
    conffile (closes: #673608).
  * Remove mentions of alsa-driver, alsa-source or building alsa-modules
    from alsa-base's description.
  * Decruft maintainer scripts:
    - use dpkg-maintscript-helper to handle previous conffile renames and
      removals, and remove obsolete pre-lenny code
    - stop installing a default file in /usr/share and make
      /etc/default/alsa a real conffile.
    - get rid of postinst entirely.
    - remove apm symlinks on preinst upgrade, not just postrm purge.
  * Rely on dh_installmodules, dh_bugfiles and dh_installdefault instead
    of manually installing corresponding files.
  * Update Vcs-* urls to point to alsa-base, not alsa-driver.
  * Remove obsolete alsa-base.modprobe-post-install.
  * Rewrite copyright file in machine-readable format 1.0, removing all
    mentions of alsa-driver.

 -- Jordi Mallach <jordi@debian.org>  Sun, 20 May 2012 15:05:50 +0200

alsa-base (1.0.25+1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * udev-related code removed from alsa-base.postinst (closes: #620786)

  [ Jordi Mallach ]
  * Depend on kmod, not module-init-tools (thanks, Markus Waldeck).
  * Rename source package, make it 3.0 (native).
  * Drop alsa-source and all related packaging for alsa-modules. It was
    painful to maintain, didn't make the kernel team happy at all and was
    a general mess. The recommended way of getting new drivers is to look
    for a kernel backport (closes: #627152, 622652 —RC—, and also
    closes: #228070, #481849, #570618, #584336, #588385, #606046, #612123
    closes: #653542)
  * Drop all patches, all applied to alsa-driver.
  * Do not install ALSA driver docs in alsa-base.
  * Rewrite rules in dh.
  * Bump to debhelper 9.
  * Refresh debconf po files to get rid of alsa-source msgids.
  * Drop watch file, we don't have an upstream tarball anymore.
  * Drop program-wrapper, it was useful for woody upgrades.
  * Add dependency on procps (closes: #634038).
  * Never call snddevices, udev should create devices for us
    (closes: #526648). Also, remove APM stuff, which is long obsolete.
  * Drop linux-sound-base: OSS was removed from the kernel pre-squeeze.
    (closes: #662038). Remove all module list generation machinery,
    it's now obsolete.
  * Removing linux-sound-base also closes: #376241, #558408 the hard way.
  * Drop Build-Depends on po-debconf.
  * Make alsa-base Break: linux-sound-base, to get it uninstalled on
    upgrades. l-s-b postrm should take care of the cleanups.
  * Bump Standards-Version to 3.9.3.
  * Drop d/source/options, use the standard compression.
  * Move d/alsa-base.init to just d/alsa, otherwise debhelper thinks this
    is a init script.
  * Move old Debian changelog entries back to main changelog.

 -- Jordi Mallach <jordi@debian.org>  Sun, 20 May 2012 03:29:19 +0200

alsa-driver (1.0.23+dfsg-4) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Provide alsa-base-udeb based on a patch from Samuel Thibault. Thanks.
    (closes: #613095)

  [ Jordi Mallach ]
  * Remove all replaces and conflicts for all packages: all referred to
    versions available even in etch, or are no longer in Debian.
  * Bump Standards-Version to 3.9.2 (no further changes required).
  * Remove Suggests from udeb (not supported) and set Section to
    debian-installer.
  * Point to non-symlinked GPL file.
  * Update upstream url in copyright.
  * Remove empty override dirs.

 -- Jordi Mallach <jordi@debian.org>  Tue, 03 May 2011 13:44:18 +0200

alsa-driver (1.0.23+dfsg-3) unstable; urgency=low

  [ Daniel T Chen ]
  * debian/alsa-base.init: Modify echo_procs_using_sound to avoid using
    lsof, which reduces our footprint, at the cost of being somewhat
    slower. Because *unload is not in the fast path generally, this
    tradeoff seems acceptable. Based on work by Kai Hendry et al. at
    http://stackoverflow.com/questions/526132/finding-processes-using-alsa-sound-fast,
    many thanks (closes: #514661)!

  [ Elimar Riesebieter ]

