=== debian/control ===
Source: alsa-base
Section: sound
Priority: optional
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://www.alsa-project.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-base
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-base/

Package: alsa-base
Architecture: all
Provides: alsa
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: ${misc:Depends}, kmod, procps, udev
Recommends: alsa-utils
Suggests: alsa-oss, oss-compat
Breaks: linux-sound-base
Description: ALSA driver configuration files
 This package contains various configuration files for
 the ALSA drivers.
 .
 For ALSA to work on a system with a given sound card,
 there must be an ALSA driver for that card in the kernel.
 Linux as shipped in linux-image packages contains ALSA
 drivers for all supported sound cards in the form of
 loadable modules.
 .
 Please read the README.Debian file for more information
 about loading modules.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: alsa-base-udeb
Architecture: all
Section: debian-installer
Provides: alsa
Depends: ${misc:Depends}
Recommends: alsa-utils
Package-Type: udeb
Description: ALSA driver configuration files for Debian Installer
 This package contains minimum configuration files for
 the ALSA drivers for the Debian Installer.
