## alsa-base 1.0.27+1

=== debian/changelog ===
alsa-base (1.0.27+1) unstable; urgency=medium

  * The still-useful bits of alsa-base (kmod configuration files) have moved
    to kmod itself in version 17-1. There is nothing of use left in
    alsa-base, so for jessie, it'll just become a dummy package that helps
    cleaning up its old conffiles. It will be dropped after the jessie
    release.
  * Add a dependency on kmod (>= 17-1) (closes: #746799).
  * Remove all package contents, and tweak package descriptions to note
    this is an empty, dummy package.
  * All of the above obsoletes and closes: #625233, #660801, #545415.
  * Add maintscript handling for the three removed conffiles.
  * Cleanup debian/rules, there's nothing to do now.
  * Bump Standards-Version to 3.9.5.

 -- Jordi Mallach <jordi@debian.org>  Wed, 07 May 2014 10:47:35 +0200
