=== debian/control ===
Source: alsa-base
Section: sound
Priority: optional
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://www.alsa-project.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-base
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-base/

Package: alsa-base
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: ${misc:Depends}, kmod (>= 17-1)
Description: dummy package to ease purging of obsolete conffiles
 This is an empty dummy package with the only purpose of ensuring
 obsolete kmod files will be removed from the system. This functionality
 is now shipped in kmod.
